Skip to main content

Questions tagged [upgrade]

Questions related to civicrm upgrades or updates

Filter by
Sorted by
Tagged with
0 votes
1 answer
7 views

Updating local dev for CiviCRM and Drupal updates causes crash - "The "request_path" plugin does not exist

I did a routine local update today and moved from CiviCRM 5.73 and Drupal 10.2.6, to CiviCRM 5.74.4 and Drupal 10.3.0. All was fine until I updated the Drupal database: 2024-06-24 18:13:05 [Mon ...
0 votes
1 answer
95 views

Wordpress - Civicrm 5.16 upgrade to 5.30 issue - Notice: Undefined index query in /wp-content/plugins/civicrm/civicrm.php on line 483

When upgrading our site from Civi 5.16 to the latest 5.30, when I point my browser to run the upgrade at: http://example.org/wp-admin/admin.php?page=CiviCRM&q=civicrm/upgrade&reset=1 I get the ...
1 vote
1 answer
81 views

500 Error When Migrating To Drupal 8

I have followed the great instructions on the question Can I upgrade a drupal 7 + civi site to drupal 8? but I am running into a road block. The first time I loaded Civi it loaded without my database ...
1 vote
1 answer
78 views

Update error - Error: core-issue#2487 Add / alter defaults for civicrm_contribution_recur

I get an update error when updating - see attached screen capture. The error happens when upgrading from 5.36 to 5.37 and 5.38 (which is currently the latest). The error occurs when using the browser ...
0 votes
1 answer
29 views

CIVICRM Upgrade in Joomla Environment - CRM updates but database aborts

I have a Joomla 3.11 environment running PHP 7.3 and CIVICRM 5.57. We have followed the steps to upgrade CIVICRM to 5.60/5.61 in Joomla. The CRM updates fine but it abends when trying to update the ...
1 vote
1 answer
39 views

Receive licensing error wordpress installation

I get this // http://civicrm.org/licensing // instead of the admin page in wordpress, with Wordpress 6.5.2 and CiviCRM up to date. I have tried to update with the link "http://example.org/wp-...
1 vote
1 answer
42 views

Joomla - Admin login fails to work after latest CiviCRM update

I have just upgraded CiviCRM to v5.65.1 in my Joomla site (v4.3.4). Now, since that update I can no longer login to my admin backend - I get the following error displayed: 0 Class "Civi\Core\...
0 votes
1 answer
84 views

Upgrade from 5.65.1 to 5.74.0 - Error "Expected to find one Participant record, but there were zero." when registering for an event

I performed a Civi upgrade from v5.65.1 to 5.74.0 on Wordpress 6.5.4. I am running Php 8.2.19. I have also added.... define('CIVICRM_SMARTY_AUTOLOAD_PATH', '/var/www/vhosts/example.org/httpdocs/wp-...
1 vote
1 answer
126 views

Upgrading to 5.45.1 get error

Upgrading from 5.27.2 to 5.45.1 on Drupal 9.3.2, used civicrm_drush module, also tried with UI. Getting following Error: log file details [info] Running task: Update legacy prefix id token in ...
3 votes
0 answers
71 views

Update sequence for verrry old versions of CiviCRM, Wordpress and PHP

I'm tasked with updating an old installation of CiviCRM for another org - they have CiviCRM 4.6.3 and WordPress 4.5.18 running on a shared server that's on PHP 5.4. I don't yet know if it'll be ...
0 votes
1 answer
52 views

Civicrm upgrade fails to update the database

I've run into an odd CiviCRM upgrade problem and am looking for leads on what to try. Civi 5.61.3 is running within Wordpress 6.2.x, PHP 7.4, mysql 5.7.41 I want to move it to the latest editions of ...
0 votes
1 answer
114 views

Corrupt installation during upgrade to 5.37.2 on Joomla 3.9.26

I have run into some trouble trying to upgrade from and old version of Civi to version 5.37.2 on Joomla 3.9.26 running on PHP 7.3.27 and MySql 5.7.32-35. The initial problem was that I could not get ...
0 votes
1 answer
21 views

Run database upgrades manually

Is it possible to run the database upgrades (in my case, from 5.66.0 to 5.66.2) manually, i.e. just get the SQL statements and run them in the DB CLI? I ask because both the UI upgrade and cv CLI ...
1 vote
0 answers
25 views

Upgrade 5.66.0 -> 5.66.2 fails with permission error

I'm upgrading my CiviCRM in stages, because I encountered an error similar to this one. First I started with 5.66.0 to 5.66.2. When I get to the DB upgrade stage, I'm hitting a snag. In the UI, when ...
0 votes
0 answers
14 views

Searchkit webpage encountered an unexpected error after CiviCrm upgrade

I've upgraded my environment from Drupal 10.2.0 & CiviCRM 5.69.4 to Drupal 10.2.6 & CiviCRM 5.73.3 (PHP v8.3.7) But since that upgrade the searchkit (overview) page is broken, however (most ...
2 votes
1 answer
166 views

Upgrade to civicrm 5.17.4 fails with PHP 7.1 Uncaught Error: [] operator not supported for strings

Testing an upgrade from 5.13.4 to 5.17.4 on wordpress, I get a fatal error. This is on PHP 7.1.32. PHP Fatal error: Uncaught Error: [] operator not supported for strings in /home/dhwpuser/testdomain/...
0 votes
2 answers
61 views

Upgrade to 5.52.0 - database won't reset

I upgraded to 5.52.0. The last step was to reset the database. I got an error message - " Sorry, due to an error, we are unable to fulfill your request at the moment. You may want to contact your ...
0 votes
1 answer
84 views

fatal error "Uncaught ReflectionException" after upgrade to 5.50

WP 6.0 Civi 5.50 error is Fatal error: Uncaught ReflectionException: Class Civi\Api4\Service\Spec\Provider\SearchDisplayCreationSpecProvider does not exist in /home/lesley/public_html/wp-content/...
0 votes
1 answer
244 views

Cannot Require Once When Loading CiviCRM After Drupal Upgrade

I am trying to upgrade to the newest security release of Drupal 8 (8.9.14). After completing the update (Drupal is bootstrapping because the login page works) but CiviCRM stops being able to require ...
0 votes
2 answers
64 views

civicrm upgrade access denied

I have upgraded drupal to 7.72 - (28/8/20). I wanted to update Civicrm from 5.9.1 to 5.10.0 but got "Access denied" after running http://mysite/civicrm/upgrade?reset=1. So I tried going to 5....
0 votes
2 answers
283 views

What would cause: Error: Class 'HTMLPurifier_Config' not found in CRM_Utils_String::purifyHTML()?

After upgrading to CiviCRM 5.44.0 under Drupal 9.2.10 under Windows/IIS I got the following error when trying to view a report: Error: Class 'HTMLPurifier_Config' not found in CRM_Utils_String::...
0 votes
0 answers
16 views

5.72.0 broke a few things , certainly under Joomla including contribution review and backend searches on the front end

I have detailed various issues with Civi , for example the contribution page not moving onto review and back-end searches published on the front-end not returning any values. I regressed my test ...
0 votes
0 answers
58 views

5.72.2 has broken something in CiviCRM and now front end functions don't function

After installing 5.72.2 we seem to have lost the ability to access Civi functions from the front end. Search is broken , contributions is broken (links to PayPal and Stripe) just don't get anywhere. ...
1 vote
0 answers
21 views

Why does DB upgrade freeze on message "Executed: Update all reserved message templates"?

In all recent upgrades of CiviCRM Wordpress (to 5.71.x, 5.72.x and 5.73.0), the DB upgrade process executing URL https://<mysite>/wp-admin/admin.php?page=CiviCRM&q=civicrm%2Fupgrade%2Fqueue%...
1 vote
0 answers
13 views

Strange Error on upgrade corrupting menus

I updated from 5.72.1 to 5.72.2 and found that the published menu items that allow people to search from the front-end had all been corrupted. They had all been set to the default entry so anyone ...
3 votes
1 answer
204 views

Directory path problem on 4.7.30 upgrade

On upgrade to 4.7.30 (Joomla) the status message tells me of path problems. For example, that the directories are not writeable or do not exist. When I try to check/set the directories I get ...
0 votes
1 answer
55 views

CiviCRM Upgrade Fails Between 5.65.2 and 5.67.3

I am trying to upgrade between CiviCRM 5.65.2 and 5.67.3. My CMS is Drupal 9.5. During the upgrade I get the following error. Upgrade DB to 5.65.alpha1: SQL (CRM_Upgrade_Incremental_php_FiveSixtyFive::...
1 vote
2 answers
28 views

Updating from CiviCRM 5.38.0. to 5.71 on wordpress

Any help with how to update CiviCRM 5.38.0. to 5.71 on wordpress? Currently my website says--> System Status: Critical (which is obviously quite worrying!) I've downloaded the zip file from ...
0 votes
0 answers
35 views

CiviCRM upgrade - interesting feature

I have noticed a feature that sometimes happens when applying an upgrade. The user for our database has "!" as part of the password , when I applied the 5.71.2 upgrade today that password ...
0 votes
0 answers
11 views

Question about removing old CiviCRM Joomla plugins

I'm prepping to upgrade a Joomla 3.10 website to Joomla 4. This Civi installation was initially set up circa 2010-2011 (last upgraded in Dec 2023, will upgrade as part of this process), so there is ...
2 votes
1 answer
36 views

Warning after upgrade to 5.72.1 wordpress re Deprecation Permission 'view payment tokens'

Wordpress: 6.5.2 CiviCRM: 5.72.1 (just upgraded and get the warning below now) PHP: 8.1 MySQL: 8 Warning error on any CiviCRM screen: Deprecated: Permission 'view payment tokens' should be declared ...
1 vote
1 answer
103 views

Trying to update versions - DB Upgrade error at 5.48.x

I have been trying to update versions, and have been hitting errors I have stepped back and step through versions and the issue appears at 5.48.x update UPDATE civicrm_queue SET runner = "task&...
1 vote
1 answer
35 views

How do I update CiviCRM on wordpress? ( currently on 5.38.0 )

I am using a very outdated version of CiviCRM ( 5.38.0 ) and I'm totally clueless with how to update it. It says system status is critical and that I should upgrade to latest version (5.71.1 ), but it ...
2 votes
1 answer
80 views

What does "You have requested a non-existent service "afform_scanner" mean during an upgrade?

During the upgrade to 5.72 from 5.69.5, Wordpress, I got the following error: [Error: Finish core DB updates 5.72.0]] However going to CiviCRM it appears like everything is fine - no issues on system ...
0 votes
1 answer
50 views

(Fixed) CiviCRM update on Joomla causes existing online registration pages to give 404 errors. What can I do to fix it?

I moved my Joomla based site to another host with better PHP and DB support. Used Akeeba Backup to restore the site, it came up properly. I then upgraded to the latest version of CiviCRM as I now ...
0 votes
2 answers
53 views

Civi 4.7.11 Update on Joomla 3.62 with receipts

In addition to some CkEditor issues - I am having issues when trying to print receipts - Thoughts ? @import url(/administrator/components/com_civicrm/civicrm/css/civicrm.css); @import url(/...
1 vote
1 answer
40 views

Problem with Aggregating Households Extension after upgrade to 5.3.1

I had this problem after another upgrade and can't figure out how I solved it! (Posted as an issue at github as well.) Extension installed, Enabled | ver 1.2 and at /home/MYSITEDIR/public_html/sites/...
0 votes
1 answer
45 views

Upgrading to CiviCRM 5.71.1 from 5.70.2 causes a crash (Segmentation fault)

I'm using Drupal 10.2.4 with Apache 2.4, PHP8.1.2 and MySQl 8 I have just tested locally on Docker upgrading from CiviCRM 5.70.2 to 5.71.1 and get an immediate crash. Here is the Docker output: 2024-...
1 vote
2 answers
98 views

Migrate/Update CiviCRM

We are running an old version of CiviCRM (5.3?) and we have planned to upgrade to a newer version and at the same time we planned to put CiviCRM in cloud. Our existing server is also old and seems to ...
0 votes
1 answer
53 views

Upgrade available message - controlled by?

In some of my installs system status shows the message about available upgrades. In others there is no message about upgrades at all. What controls this? I couldn't see any settings in the Misc ...
1 vote
1 answer
73 views

CiviMail report not showing proper data after upgrade

I have recently upgraded CIVICRM to 4.7.27 and my wordpress version is 4.9.1. Before upgrade civimail report was showing proper data for example "Unique Opens", "Total Opens", etc. But now it's ...
1 vote
1 answer
59 views

Fatal error after upgrade

I had a working instance of Civicrm on my Joomla 3 site. Now I updated to Joomla 4. I don't think I should have had to update Civicrm, but I was getting a 500 error for Civicrm. Therefore I followed ...
1 vote
1 answer
55 views

Upgrade CiviCRM from 5.04 to 5.42

I need to upgrade an existing CiviCRM 5.0.4 to the latest (5.42). What approach is recommended? Thanks in advance.
0 votes
1 answer
24 views

5.71.1 for Wordpress doesn't download

I'm on Civi 5.50.1 on two different sites and should really upgrade. As Civi gets more complex, my fear of upgrading goes up. Seems like more problems every time. Anyway, problem right off the bat. ...
1 vote
1 answer
74 views

Failed upgrade from 5.69.2 to 5.69.5

My System Status page says "The site is running 5.69.2" but the Civi footer on the same page and WP's plugins page say version 5.69.5 - clearly an upgrade has gone wrong! Now, several pages ...
3 votes
1 answer
23 views

Error: API (SearchDisplay, save) does not exist

I upgraded CiviCRM (from 5.53 to 5.58) after disabling non native CiviCRM extensions and when I want to enable these extensions again, I get an error message I don't understand: Sorry, due to an ...
0 votes
1 answer
160 views

"DB Error: no database selected in unknown" when trying to upgrade Civicrm

I'm on wordpress 6.0, linux, upgrading from CiviCRM 5.36.0 to 5.50.3. When I try and run the upgrade script i.e. wp-admin/admin.php?page=CiviCRM&q=civicrm%2Fupgrade&reset=1 I get the following ...
0 votes
1 answer
21 views

Upgrade to 5.70.2 fails with DB error

Upgrading CiviCRM to 5.70.2 from 5.64.0 fails with the below error. Any pointers are appreciated. DB Error: constraint violation ...
0 votes
1 answer
130 views

database Upgrade URL does not load Upgrade screen

Civi 5.15.1, WP 5.3.2 We are in the process of upgrading Civi from 5.15.1 to 5.21, and are stuck at the "Upgrade the database" step in the upgrade instructions here: https://docs.civicrm.org/sysadmin/...
0 votes
1 answer
38 views

WordPress Version 5.8.1, CiviCRM 5.18 plugin installed, but DB upgrade fails from civi 5.17.5 -> 5.18

I saved a backup and I can revert, but I'd like to go forward with this upgrade. Can anyone please tell me how to fix this? Thanks in advance. I am upgrading from 5.17.5 (the last patch of 5.17) to 5....

1
2 3 4 5
13